Bug 14255 - Minor edits to history.txt to facilitate automagic updates to the web site
Summary: Minor edits to history.txt to facilitate automagic updates to the web site
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Liz Rea
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-22 03:23 UTC by Liz Rea
Modified: 2016-06-21 21:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14255 - minor edits to history.txt to facilitate automatic updates to the website (8.95 KB, patch)
2015-05-22 03:25 UTC, Liz Rea
Details | Diff | Splinter Review
[Signed-off] Bug 14255 - minor edits to history.txt to facilitate automatic updates to the website (9.10 KB, patch)
2015-05-24 07:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14255 - minor edits to history.txt to facilitate automatic updates to the website (9.15 KB, patch)
2015-05-24 12:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2015-05-22 03:23:04 UTC
History.txt is nicely tab separated for the most part, but there are a couple of entries where it's not, and it needs a bit of a fixup to make it all tab separated compliant.

Purpose is so that I can convert the history.txt into an HTML table sanely, to automatically update the koha-community website.

Plus, tidy is nicer anyway.
Comment 1 Liz Rea 2015-05-22 03:25:28 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-05-24 07:01:03 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-05-24 12:10:41 UTC
Created attachment 39455 [details] [review]
Bug 14255 - minor edits to history.txt to facilitate automatic updates to the website

All this really does is remove whitespace at the end of the lines, and correct a weirdly tabbed entry. There aren't any content changes.

To test:

Just have a look at the patch and see that it's done those things. Not sure much needs to be done.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-05-26 14:04:22 UTC
Patch pushed to master.

Thanks Liz!
Comment 5 Liz Rea 2015-05-27 22:50:32 UTC
Thanks Tomas!